Last Comment Bug 754496 - l10n hg account for Fernando Silveira (pt-BR)
: l10n hg account for Fernando Silveira (pt-BR)
Status: RESOLVED FIXED
ssh-key,voucher,form
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Ashish Vijayaram [:ashish]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 16:45 PDT by Jeferson Hultmann
Modified: 2012-07-11 11:16 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Jeferson Hultmann 2012-05-11 16:45:51 PDT
I request a hg account for Fernando Silveira (fernandopsilveira@yahoo.com.br).

P.S. Fernando already has LDAP/SVN accounts.
Comment 1 Marcia Knous [:marcia - use ni] 2012-05-11 17:24:11 PDT
Jeferson: Can you please clarify which level of access Fernando needs? http://www.mozilla.org/hacking/commit-access-policy/. Thanks.
Comment 2 Jeferson Hultmann 2012-05-11 18:12:24 PDT
Unfortunately I'm not able to answer this question. Hopefully Axel can clarify it.

Obs: Fernando should be able to update Thunderbird l10n (http://hg.mozilla.org/releases/l10n/mozilla-aurora/pt-BR).
Comment 3 Axel Hecht [:Pike] 2012-05-12 01:37:52 PDT
That'd be a level 1a scm_l10n account.

Erica, do we have a contributor form for Fernando on file? I find a long history of account bugs, but no mention of the contributor form itself.
Comment 4 Erica McClure 2012-05-14 10:09:29 PDT
I have no form on file for Fernando.
Comment 5 Axel Hecht [:Pike] 2012-05-14 14:23:29 PDT
Fernando, can you fill out the contributor form and submit it to Erica? Details and the link to the pdf are on http://www.mozilla.org/hacking/notification/.

Thanks.
Comment 6 Fernando Pereira Silveira 2012-05-17 13:51:55 PDT
Erica, I just sent you a signed Committer's Agreement by email (I'm also posting it)
Comment 7 Fernando Pereira Silveira 2012-05-30 13:11:37 PDT
Hi Erica,

Could you please confirm if you received my message?
Comment 8 Fernando Pereira Silveira 2012-06-11 23:40:43 PDT
Erica, could you please confirm if you received my message?
Comment 9 Fernando Pereira Silveira 2012-06-28 12:49:49 PDT
Did I missed any step?
Comment 10 Erica McClure 2012-06-28 13:05:51 PDT
I still haven't received anything; not via post or email. :-( Can you re-send?
Comment 11 Fernando Pereira Silveira 2012-06-28 13:19:29 PDT
just sent to emcclure@mozilla.com
Comment 12 Erica McClure 2012-06-29 10:16:26 PDT
I have received Fernando's Committer's Agreement.
Comment 13 Axel Hecht [:Pike] 2012-06-29 11:02:21 PDT
Over to server-ops to add hg level 1 and scm_l10n to Fernando's account. We already have an ssh key in ldap, and passwords should work, too.
Comment 14 Ashish Vijayaram [:ashish] 2012-06-29 18:51:56 PDT
+hg +scm_level_1 +scm_l10n
Comment 15 Fernando Pereira Silveira 2012-07-08 22:15:29 PDT
I'm getting the following error when trying to push:
Permission denied (publickey,keyboard-interactive).

Is this somehow related to my SSH keys?
Comment 16 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-07-09 00:26:03 PDT
Have you changed your keys? The pubkey in LDAP may need to be updated.
Comment 17 Fernando Pereira Silveira 2012-07-09 00:37:47 PDT
recently I lost some data, but I could recover some files; looks like my private key is corrupted, though

I'll file a new bug to replace my SSH key...
Comment 18 Fernando Pereira Silveira 2012-07-11 10:46:32 PDT
I replaced my SSH key and it works now!

I'm able to push commits, but I still can't check sign-offs on dashboard. Anything missing?
Comment 19 Axel Hecht [:Pike] 2012-07-11 11:02:02 PDT
Should be fixed, guess it doesn't pick up folks that get new permissions in ldap.
Comment 20 Fernando Pereira Silveira 2012-07-11 11:16:23 PDT
it works now, thanks! ;-)

Note You need to log in before you can comment on or make changes to this bug.